#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 servant-swagger
version:              1.1.10
visibility:           public
id:                   servant-swagger-1.1.10-38cvNRqwfSb2RCAnEgXWxL
key:                  servant-swagger-1.1.10-38cvNRqwfSb2RCAnEgXWxL
license:              BSD-3-Clause
copyright:            (c) 2015-2018, Servant contributors
maintainer:           nickolay.kudasov@gmail.com
author:               David Johnson, Nickolay Kudasov
homepage:             https://github.com/haskell-servant/servant-swagger
synopsis:
    Generate a Swagger/OpenAPI/OAS 2.0 specification for your servant API.

description:
    Swagger is a project used to describe and document RESTful APIs. The core of the
    project is the [OpenAPI Specification (OAS)](https://swagger.io/docs/specification/about/).
    This library implements v2.0 of the spec. Unlike Servant it is language-agnostic and thus is
    quite popular among developers in different languages. It has also existed for a longer time
    and has more helpful tooling.

    This package provides means to generate a Swagger/OAS specification for a Servant API
    and also to partially test whether an API conforms with its specification.

    Generated Swagger specification then can be used for many things such as

    * displaying interactive documentation using [Swagger UI](http://swagger.io/swagger-ui/);

    * generating clients and servers in many languages using [Swagger Codegen](http://swagger.io/swagger-codegen/);

    * and [many others](http://swagger.io/open-source-integrations/).

category:             Web, Servant, Swagger
abi:                  662ac7f8b00409b8d8596f78e560eada
exposed:              True
exposed-modules:
    Servant.Swagger Servant.Swagger.Internal
    Servant.Swagger.Internal.Orphans Servant.Swagger.Internal.Test
    Servant.Swagger.Internal.TypeLevel
    Servant.Swagger.Internal.TypeLevel.API
    Servant.Swagger.Internal.TypeLevel.Every
    Servant.Swagger.Internal.TypeLevel.TMap Servant.Swagger.Test
    Servant.Swagger.TypeLevel

import-dirs:          /usr/lib/ghc-8.10.3/site-local/servant-swagger-1.1.10
library-dirs:         /usr/lib/ghc-8.10.3/site-local/servant-swagger-1.1.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/servant-swagger-1.1.10
hs-libraries:         HSservant-swagger-1.1.10-38cvNRqwfSb2RCAnEgXWxL
depends:
    QuickCheck-2.14.2-SjTCKKIy0zL3ed4WaAqPy
    aeson-1.5.5.1-E81o7ZLeKZ2F33ZL69kpyr
    aeson-pretty-0.8.8-IE1yDzN4iUwHt65VarLxeR base-4.14.1.0
    base-compat-0.11.2-JggHr2fdYLe83DSFk1MYK3 bytestring-0.10.12.0
    hspec-2.7.6-6txnE8Wv2KjI2E1Irk1ZmL
    http-media-0.8.0.0-GQEcBScEAQOB9JaEBRW3Fo
    insert-ordered-containers-0.2.3.1-ewWOM49G1KBWhPD0zgtdI
    lens-4.19.2-16zIndlb1bL2SzustzNV6
    servant-0.18.2-EJAZvjsp0yt4NkTnJtTv1Y
    singleton-bool-0.1.5-HROmJ2x3IGbHtluHkmYgNW
    swagger2-2.6-42ujTyb3yaaEapt1lQbLfw text-1.2.4.1
    unordered-containers-0.2.13.0-D33WFZMtrpm4EjBHW4MnLA

haddock-interfaces:
    /usr/share/doc/haskell-servant-swagger/html/servant-swagger.haddock

haddock-html:         /usr/share/doc/haskell-servant-swagger/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

